# $Revision: 1.240.2.11 $, $Date: 2010/01/19 14:21:53 $
# TODO
# - initrd needs love (is probably completly unusable in current form)
# - initrd build with uclibc on amd64 produces non-working binary (illegal instruction from open("/dev/null"))
#
# Conditional build:
%bcond_without	initrd	# build without udev-initrd
%bcond_without	uClibc	# link initrd version with static uClibc
%bcond_with	klibc	# link initrd version with static klibc
%bcond_with	dietlibc	# link initrd version with static dietlibc (currently broken and unsupported)
%bcond_with	glibc	# link initrd version with static glibc
%bcond_without	main	# don't compile main package, use for debugging initrd build
%bcond_without	selinux	# build without SELinux support

%ifarch sparc sparc64
%define		with_glibc 1
%endif

# if one of the *libc is enabled disable default uClibc
%if %{with dietlibc} && %{with uClibc}
%undefine	with_uClibc
%endif

%if %{with glibc} && %{with uClibc}
%undefine	with_uClibc
%endif

%if %{with klibc} && %{with uClibc}
%undefine	with_uClibc
%endif

Summary:	Device manager for the Linux 2.6 kernel series
Summary(pl.UTF-8):	Zarządca urządzeń dla Linuksa 2.6
Name:		udev
Version:	124
Release:	7
Epoch:		1
License:	GPL
Group:		Base
Source0:	ftp://ftp.kernel.org/pub/linux/utils/kernel/hotplug/%{name}-%{version}.tar.bz2
# Source0-md5:	4da0471c0ca3a2a2a77692f67120c03d
# rules
Source1:	%{name}-alsa.rules
Source2:	%{name}-hotplug_map.rules
Source3:	%{name}-modprobe.rules
Source4:	%{name}.rules
Source5:	%{name}-example.rules
# configs
Source10:	%{name}.conf
Source11:	%{name}-links.conf
# scripts / helpers
Source20:	%{name}_import_usermap
Source21:	%{name}-net.helper
Source22:	start_udev
# misc
Source30:	%{name}-usb.distmap
Source31:	%{name}-usb.handmap
Source32:	%{name}.blacklist
# initramfs
Source40:	%{name}-initramfs-bottom
Source41:	%{name}-initramfs-hook
Source42:	%{name}-initramfs-premount
Patch0:		%{name}-vol_id-cdrom.patch
Patch1:		%{name}-netlink-owner-check.patch
Patch2:		%{name}-encoding-overflow.patch
URL:		http://www.kernel.org/pub/linux/utils/kernel/hotplug/udev.html
BuildRequires:	device-mapper-devel
%{?with_selinux:BuildRequires:	libselinux-devel >= 1.17.13}
BuildRequires:	sed >= 4.0
%if %{with initrd}
%{?with_dietlibc:BuildRequires:	dietlibc-static}
%{?with_glibc:BuildRequires:	glibc-static}
%{?with_klibc:BuildRequires:	klibc-static}
%{?with_klibc:BuildRequires:	linux-libc-headers}
%{?with_uClibc:BuildRequires:	uClibc-static >= 3:0.9.29-23}
%endif
Requires:	%{name}-core = %{epoch}:%{version}-%{release}
Provides:	dev = 3.0.0
Obsoletes:	dev
Obsoletes:	hotplug
Obsoletes:	hotplug-input
Obsoletes:	hotplug-net
Obsoletes:	hotplug-pci
Obsoletes:	udev-dev
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin
%define		extras		extras/ata_id extras/cdrom_id extras/edd_id extras/floppy extras/firmware extras/path_id extras/scsi_id extras/usb_id extras/volume_id
%define		static_extras	extras/ata_id extras/cdrom_id extras/edd_id extras/floppy extras/scsi_id extras/usb_id extras/volume_id

%description
udev is the device manager for the Linux 2.6 kernel series. Its
primary function is managing device nodes in /dev. It is the successor
of devfs and hotplug.

%description -l pl.UTF-8
udev jest zarządcą urządzeń dla Linuksa 2.6. Jego główną funkcją jest
zarządzanie węzłami urządzeń w katalogu /dev. Jest następcą devfs i
hotpluga.

%package core
Summary:	A userspace implementation of devfs - core part of udev
Summary(pl.UTF-8):	Implementacja devfs w przestrzeni użytkownika - główna część udev
Group:		Base
Requires:	coreutils
Requires:	libvolume_id = %{epoch}:%{version}-%{release}
Requires:	uname(release) >= 2.6.15

%description core
A userspace implementation of devfs - core part of udev.

%description core -l pl.UTF-8
Implementacja devfs w przestrzeni użytkownika - główna część udev.

%package initramfs
Summary:	A userspace implementation of devfs - support scripts for initramfs-tools
Summary(pl.UTF-8):	Implementacja devfs w przestrzeni użytkownika - skrypty dla initramfs-tools
Group:		Base
Requires:	%{name}-core = %{epoch}:%{version}-%{release}
Requires:	initramfs-tools

%description initramfs
A userspace implementation of devfs - support scripts for initramfs-tools.

%description initramfs -l pl.UTF-8
Implementacja devfs w przestrzeni użytkownika - skrypty dla initramfs-tools.

%package initrd
Summary:	A userspace implementation of devfs - static binary for initrd
Summary(pl.UTF-8):	Implementacja devfs w przestrzeni użytkownika - statyczna binarka dla initrd
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description initrd
A userspace implementation of devfs - static binary for initrd.

%description initrd -l pl.UTF-8
Implementacja devfs w przestrzeni użytkownika - statyczna binarka dla
initrd.

%package -n libvolume_id
Summary:	libvolume_id library
Summary(pl.UTF-8):	Biblioteka libvolume_id
Group:		Libraries

%description -n libvolume_id
libvolume_id library.

%description -n libvolume_id -l pl.UTF-8
Biblioteka libvolume_id.

%package -n libvolume_id-devel
Summary:	Header files for libvolume_id library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libvolume_id
Group:		Development/Libraries
Requires:	libvolume_id = %{epoch}:%{version}-%{release}

%description -n libvolume_id-devel
This is the package containing the header files for libvolume_id
library.

%description -n libvolume_id-devel -l pl.UTF-8
Ten pakiet zawiera pliki nagBówkowe biblioteki libvolume_id.

%package -n libvolume_id-static
Summary:	Static libvolume_id library
Summary(pl.UTF-8):	Statyczna biblioteka libvolume_id
Group:		Development/Libraries
Requires:	libvolume_id-devel = %{epoch}:%{version}-%{release}

%description -n libvolume_id-static
Static libvolume_id library.

%description -n libvolume_id-static -l pl.UTF-8
Statyczna biblioteka libvolume_id.

%package tools
Summary:	udev tools
Summary(pl.UTF-8):	Narzędzia udev
Group:		Base
Requires:	%{name}-core = %{epoch}:%{version}-%{release}

%description tools
udev tools - programs not needed for bootup.

%description tools -l pl.UTF-8
Narzędzia udev - programy nie wymagane do startu systemu.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

sed -i -e 's/$(CC) -shared/$(LD) -shared/' extras/volume_id/lib/Makefile

%build
%if %{with initrd}
%{__make} \
%ifarch athlon
	ARCH=i386 \
%endif
	udevdir=/dev \
	%{?with_uClibc:CC="%{_target_cpu}-uclibc-gcc"} \
	%{?with_uClibc:LD="%{_target_cpu}-uclibc-gcc %{rpmldflags} -static"} \
	%{?with_dietlibc:CC="%{_target_cpu}-dietlibc-gcc"} \
	%{?with_dietlibc:LD="%{_target_cpu}-dietlibc-gcc %{rpmldflags} -static"} \
	%{?with_glibc:CC="%{_target_cpu}-pld-linux-gcc"} \
	%{?with_glibc:LD="%{_target_cpu}-pld-linux-gcc %{rpmldflags} -static"} \
	%{?with_klibc:KLCC=%{_bindir}/klcc CC="klcc"} \
	%{?with_klibc:LD="klcc %{rpmldflags} -static"} \
	DEBUG=%{!?debug:false}%{?debug:true} \
	STRIP="/bin/true" \
	USE_KLIBC=%{!?with_klibc:false}%{?with_klibc:true} \
	USE_LOG=false \
	USE_SELINUX=false \
	USE_STATIC=true \
	EXTRAS="%{static_extras}" \
	V=1

cp -a udevd initrd-udevd
cp -a udevadm initrd-udevadm

%if %{with main}
%{__make} clean \
	EXTRAS="%{static_extras}" \
	V=1
%endif
%endif

%if %{with main}
%{__make} \
	libudevdir=/lib/udev \
	libdir=/%{_lib} \
	usrlibdir=%{_libdir} \
	udevdir=/dev \
	CC="%{__cc}" \
	LD="%{__cc} %{rpmldflags}" \
	DEBUG=%{!?debug:false}%{?debug:true} \
	OPTFLAGS="%{rpmcflags}" \
	USE_KLIBC=false \
	USE_LOG=true \
	EXTRAS="%{extras}" \
	V=1
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with main}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{modprobe.d,udev/rules.d} \
	$RPM_BUILD_ROOT/lib/udev/devices \
	$RPM_BUILD_ROOT%{_datadir}/initramfs-tools/{hooks,scripts/init-{bottom,premount}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	initdir=/etc/rc.d/init.d \
        libudevdir=/lib/udev \
        libdir=/%{_lib} \
        usrlibdir=%{_libdir} \
        udevdir=/dev \
	EXTRAS="%{extras}"

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/udev/udev.rules
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/udev/udev.permissions
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/init.d/udev

# install rules
install etc/udev/rules.d/*.rules $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
install etc/udev/suse/64-device-mapper.rules $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/40-alsa.rules
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/55-hotplug_map.rules
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/51-modprobe.rules
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/50-udev-default.rules
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/10-udev-example.rules

cat <<EOF >$RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/05-udev-early.rules
# sysfs is populated after the event is sent
ACTION=="add", SUBSYSTEM=="scsi", WAIT_FOR_SYSFS="ioerr_cnt"
EOF

# install configs
install %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/udev
install %{SOURCE11} $RPM_BUILD_ROOT%{_sysconfdir}/udev/links.conf

# install executables (scripts, helpers, etc.)
install -D %{SOURCE20} $RPM_BUILD_ROOT%{_prefix}/sbin/udev_import_usermap
install %{SOURCE21} $RPM_BUILD_ROOT/lib/udev/net_helper
install %{SOURCE22} $RPM_BUILD_ROOT%{_sbindir}/start_udev

install extras/path_id/path_id $RPM_BUILD_ROOT/lib/udev

install extras/volume_id/lib/*.a $RPM_BUILD_ROOT%{_libdir}
%endif


# install misc
install %{SOURCE32} $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/udev_blacklist.conf

# install support for initramfs-tools
install %{SOURCE40} $RPM_BUILD_ROOT%{_datadir}/initramfs-tools/scripts/init-bottom/udev
install %{SOURCE41} $RPM_BUILD_ROOT%{_datadir}/initramfs-tools/hooks/udev
install %{SOURCE42} $RPM_BUILD_ROOT%{_datadir}/initramfs-tools/scripts/init-premount/udev

%if %{with initrd}
install -d $RPM_BUILD_ROOT%{_sbindir}
install initrd-* $RPM_BUILD_ROOT%{_sbindir}
ln -s initrd-udevd $RPM_BUILD_ROOT%{_sbindir}/udevstart.initrd
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun core -- dev
if [ "$2" = 0 ]; then
	# need to kill and restart udevd as after obsoleting dev package the
	# /dev tree will remain empty. umask is needed as otherwise udev will
	# create devices with strange permissions (udev bug probably)
	umask 000
	/sbin/start_udev || exit 0
fi

%triggerpostun core -- udev < 108
sed -i -e 's#IMPORT{program}="/sbin/#IMPORT{program}="#g' /etc/udev/rules.d/*.rules
sed -i -e 's#/lib/udev/#/lib/udev/#g' /etc/udev/rules.d/*.rules

%post	-n libvolume_id -p /sbin/ldconfig
%postun	-n libvolume_id -p /sbin/ldconfig

%if %{with main}
%files
%defattr(644,root,root,755)
%dev(c,1,3) %attr(666,root,root) /dev/null
%dev(c,5,1) %attr(660,root,console) /dev/console
%dev(c,1,5) %attr(666,root,root) /dev/zero

# package these for fallback
# usually udev upgrade skips the install of /dev as it is already tmpfs mounted
# (not permanently stored)
%dev(c,1,3) %attr(666,root,root) /lib/udev/devices/null
%dev(c,5,1) %attr(660,root,console) /lib/udev/devices/console
%dev(c,1,5) %attr(666,root,root) /lib/udev/devices/zero

%files core
%defattr(644,root,root,755)
%doc ChangeLog FAQ README RELEASE-NOTES TODO
%doc docs/{overview,udev_vs_devfs,writing_udev_rules}

%dir /lib/udev

# /lib/udev/devices is recommended as a directory where packages or
# the user can place real device nodes, which get copied over to /dev at
# every boot. This should replace the various solutions with custom config
# files.
%dir /lib/udev/devices

%attr(755,root,root) /lib/udev/create_floppy_devices
%attr(755,root,root) /lib/udev/firmware.sh

%attr(755,root,root) /lib/udev/*_helper

%attr(755,root,root) /lib/udev/ata_id
%attr(755,root,root) /lib/udev/cdrom_id
%attr(755,root,root) /lib/udev/edd_id
%attr(755,root,root) /lib/udev/path_id
%attr(755,root,root) /lib/udev/scsi_id
%attr(755,root,root) /lib/udev/usb_id
%attr(755,root,root) /lib/udev/vol_id

%attr(755,root,root) %{_sbindir}/start_udev
%attr(755,root,root) %{_sbindir}/udevd
%attr(755,root,root) %{_sbindir}/udevadm
%attr(755,root,root) %{_sbindir}/udevsettle

%attr(755,root,root) %{_bindir}/udevinfo

%dir %{_sysconfdir}/udev
%dir %{_sysconfdir}/udev/rules.d

%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/modprobe.d/udev_blacklist.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/scsi_id.config
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/links.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/05-udev-early.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/40-alsa.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/50-udev-default.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/51-modprobe.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/60-cdrom_id.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/60-persistent-input.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/60-persistent-storage.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/60-persistent-storage-tape.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/61-persistent-storage-edd.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/64-device-mapper.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/80-drivers.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/rules.d/95-udev-late.rules
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/udev/udev.conf
%{_sysconfdir}/udev/rules.d/10-udev-example.rules
%{_sysconfdir}/udev/rules.d/55-hotplug_map.rules

%{_mandir}/man7/udev.7*
%{_mandir}/man8/*
%endif

%if %{with initrd}
%files initrd
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/initrd-*
%attr(755,root,root) %{_sbindir}/udevstart.initrd
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_prefix}/sbin/udev_import_usermap

%files initramfs
%defattr(644,root,root,755)
%attr(755,root,root) %{_datadir}/initramfs-tools/scripts/init-bottom/udev
%attr(755,root,root) %{_datadir}/initramfs-tools/hooks/udev
%attr(755,root,root) %{_datadir}/initramfs-tools/scripts/init-premount/udev

%files -n libvolume_id
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libvolume_id.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libvolume_id.so.0

%files -n libvolume_id-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvolume_id.so
%{_includedir}/libvolume_id.h
%{_pkgconfigdir}/libvolume_id.pc

%files -n libvolume_id-static
%defattr(644,root,root,755)
%{_libdir}/libvolume_id.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: udev.spec,v $
Revision 1.240.2.11  2010/01/19 14:21:53  glen
- package minimal fallback devices to /lib/udev/devices; rel 7

Revision 1.240.2.10  2009/04/25 12:31:04  hawk
- release 6

Revision 1.240.2.9  2009/04/25 12:12:18  hawk
- fixes for CVE-2009-1185 and CVE-2009-1186

Revision 1.240.2.8  2009/03/16 20:56:11  hawk
- release 5

Revision 1.240.2.7  2009/03/16 20:48:20  glen
- remove some weird crap

Revision 1.240.2.6  2009/03/16 16:30:25  hawk
- keep release integer

Revision 1.240.2.5  2009/03/16 16:03:14  hawk
- merged from HEAD:
  - added scripts (and subpackage) for initramfs-tools
  - BR uClibc-static with working ppoll

Revision 1.240.2.4  2009/03/12 21:01:57  charles
- added -vol_id-cdrom.patch (for cdrom tray close bug)
- rel. up

Revision 1.240.2.3  2009/02/10 20:55:27  hawk
- changelog typo

Revision 1.240.2.2  2009/02/10 20:54:23  hawk
- added /dev/cpuset to links.conf
- release 3

Revision 1.240.2.1  2009/02/10 20:10:51  hawk
- /lib/udev for all archs, cleanup

Revision 1.240  2008/06/14 13:27:19  arekm
- rel 2; fix trigger and settle

Revision 1.239  2008-06-13 21:41:07  arekm
- up to 124

Revision 1.238  2008-05-19 12:44:28  baggins
- rel 2
- put back 05-udev-early.rules (udev/hal freak out on USB disk insertion without it)

Revision 1.237  2008-04-27 21:05:18  arekm
- up to 120

Revision 1.236  2008-03-11 09:53:43  hawk
- blah, reverted initrd-udev{settle,trigger} symlinks, not needed, we can
  and even should handle those in geninitrd
- release 3

Revision 1.235  2008-03-10 23:28:41  hawk
- restored initrd-udev{settle,trigger}, they may be used by initrd
- release 2

Revision 1.234  2008-02-23 22:25:08  glen
- no dep on kernel pkg name

Revision 1.233  2008-02-22 19:27:35  qboosh
- hotplug obsoletes moved from -core to main: no real package conflict, let user
  decide which one to start
- -core R: uname(release) >= 2.6.15
- ghost soname symlink

Revision 1.232  2008-02-03 13:38:32  arekm
- rel 1; seems to work fine

Revision 1.231  2008-02-03 11:47:19  arekm
- up to 118; try approach with separating core part to udev-core (which can be
  installed without messing with /dev/ contents)

Revision 1.230  2007/10/29 13:54:57  arvenil
- removed /etc/udev/scripts dir (not needed anymore by alsa-udev.spec)

Revision 1.229  2007/10/24 22:06:10  wrobell
- ver. 116

Revision 1.228  2007/08/28 11:36:29  tommat
- no uClibc on sparc for now

Revision 1.227  2007/08/26 11:16:56  arekm
- up to 115

Revision 1.226  2007/08/13 12:32:45  wolf
- 114

Revision 1.225  2007/07/27 23:40:55  baggins
- rel 2
- /dev/{cdrom,cdrw,dvd,dvdrw} symlinks are baaaack!

Revision 1.224  2007/07/12 22:25:20  wolf
- 113
- fix descriptions

Revision 1.223  2007/06/13 20:29:29  arekm
- 112

Revision 1.222  2007/06/12 06:43:05  arekm
- rel 1

Revision 1.221  2007/05/26 13:08:27  cactus
- added missing dir /etc/udev/scripts

Revision 1.220  2007/05/26 10:43:03  arekm
- up to 111; not tested

Revision 1.219  2007/04/10 18:10:46  arekm
- trigger for _lib

Revision 1.218  2007/04/10 18:04:06  arekm
- more fixes

Revision 1.217  2007/04/10 17:44:59  arekm
- libdir fix

Revision 1.216  2007/04/10 17:37:17  arekm
- up to 108

Revision 1.215  2007/03/09 17:30:17  arekm
- fix trigger I hope

Revision 1.214  2007/03/09 17:28:41  arekm
- trigger removing full path to udev extras progs

Revision 1.213  2007/03/09 17:23:26  arekm
- more lib64 fixes

Revision 1.212  2007/03/09 17:00:13  arekm
- fix for systems using lib64 dir

Revision 1.211  2007/03/09 16:39:08  arekm
- up to 106

Revision 1.210  2007/02/14 19:02:14  arekm
- up to 105

Revision 1.209  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.208  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.207  2007/02/04 11:59:50  qboosh
- tabs

Revision 1.206  2007/02/03 15:57:45  areq
- bconf without  selinux

Revision 1.205  2007/01/27 14:02:26  czarny
- reverted - my bad, new udev doesn't build udev binary

Revision 1.204  2007/01/27 13:50:05  czarny
- both udev and udevd should be copied to initrd-udev and initrd-udevd, as there is more than one way to start udev in early-userspace and there is no need to limit those possibilities
- by default PLDs geninitrd uses udev (normal program - no daemon), as it is sufficient and doesn't post problems of running a daemon in early-userspace and not killing it after the real boot

Revision 1.203  2007/01/19 17:54:57  alucard
- typo in initrd subpackage

Revision 1.202  2007/01/17 10:12:52  qboosh
- pl for -tools

Revision 1.201  2007/01/16 11:38:52  glen
- do not assume compressed manpages

Revision 1.200  2007/01/16 11:36:49  alucard
- fix man page symlink

Revision 1.199  2007/01/15 20:20:53  arekm
- up to 104

Revision 1.198  2007/01/15 14:46:59  glen
- separate udev_import_usermap to -tools

Revision 1.197  2007/01/15 14:41:13  glen
- verbose files

Revision 1.196  2007/01/15 14:35:02  glen
- adapter

Revision 1.195  2006/12/14 17:12:00  czarny
- no more klibc
- uClibc 4 all!

Revision 1.194  2006/12/14 09:59:06  czarny
- rel 4
- added initrd-udevd, initrd-udevtrigger,initrd-udevsettle
- udevtrigger and udevsettle needed in initrd to make nodes for
staticly linked devices
- udevd is an alternative for running udev and echoing /sbin/udev > /proc/sys/kernel/hotplug
- now either one runns udevd --daemon in initrd or echoes the above and uses udev
- echo version supported in new geninitrd
- udev works now fully in initrd!

Revision 1.193  2006/10/25 17:02:19  wolf
- 103

Revision 1.192  2006/09/26 22:14:40  shadzik
- remove 60-cdrom_id.rules; it breaks nodes permissions and functionality of other rules

Revision 1.191  2006/09/25 23:41:10  shadzik
- up to udev-100
- 60-cdrom_id.rules added

Revision 1.190  2006/08/23 21:08:22  freetz
- add note about klibc support

Revision 1.189  2006/08/23 20:53:42  freetz
- 098, install device-mapper rules, rel.0.1 for brave ones

Revision 1.188  2006/08/13 16:00:30  freetz
- 097, added example rules, use more rules from a tarball, rel.1 for main
  package, initrd is unusable in current form anyway

Revision 1.187  2006/08/12 18:19:36  ankry
- formatting

Revision 1.186  2006/07/30 18:23:30  sparky
- use rpmldflags

Revision 1.185  2006/07/14 08:13:53  shadzik
- 096

Revision 1.184  2006/07/05 23:23:26  shadzik
- up to 095
- removed patch0, it's already in source

Revision 1.183  2006/06/21 21:00:19  pluto
- release 0.2.

Revision 1.182  2006/06/21 17:41:08  sparky
- udev.blacklist renamed to udev_blacklist.conf

Revision 1.181  2006/06/21 00:21:19  shadzik
- up to 094

Revision 1.180  2006/06/05 23:39:02  aredridel
- rel 2 to rebuild with fixed firmware loader path

Revision 1.179  2006/06/04 15:40:02  shadzik
- up to 093
- firmware_helper is now known as firmware.sh ;)

Revision 1.178  2006/05/13 17:56:08  shadzik
- up to 092, dropped unneeded patch1

Revision 1.177  2006/05/10 20:02:21  freetz
- dropped persistent rules creation (not really usable with current PLD
  udev state), added early.rules, rel.0.3

Revision 1.176  2006/05/02 19:02:03  freetz
- rel.0.2 for testing

Revision 1.175  2006/05/02 16:56:21  pluto
- clean extras for proper libvolume_id.pc rebuild (lib64 issue).

Revision 1.174  2006/05/01 16:14:58  freetz
- 091, (just updated, work in progress)

Revision 1.173  2006/04/24 19:22:20  freetz
- removed uevent_listen (same functionality provides included udevmonitor)

Revision 1.172  2006/04/23 18:53:34  freetz
- added NFY note - I need more time to finish it, stay tunded

Revision 1.171  2006/04/23 16:05:03  freetz
- create persistent cdrom and network rules, replaced/added scripts for
  pesistent rule creation, added udev.blacklist to avoid autoloading
  framebuffer drivers, added functions.udev file to hold functions in one
  place , dropped eventrecorder (not very useful)
  NFY - work in progress!

Revision 1.170  2006/04/18 20:51:20  freetz
- C: too old kernel

Revision 1.169  2006/04/18 19:26:43  freetz
- changelog update

Revision 1.168  2006/04/18 19:25:52  freetz
- added alsa rule
- reorganized SourceXX, order the rules, cleanup

Revision 1.167  2006/04/16 17:37:50  qboosh
- added ioctl patch (fixes build with klibc)

Revision 1.166  2006/04/16 17:23:39  qboosh
- libvolume_id packaging fixes (ldconfig, .so link, respect lib64)

Revision 1.165  2006/04/16 11:00:56  freetz
- 090, updated file list, with_initrd broken, don't send it to builders
- unofficialy rel.1 for without_initrd parts

Revision 1.164  2006/04/05 20:12:48  glen
- more typos

Revision 1.163  2006/04/05 18:39:59  freetz
- typo(s)

Revision 1.162  2006/04/05 18:33:30  freetz
- expanded TODO, disabled some unfinished initrd try-outs

Revision 1.161  2006/04/05 18:19:27  freetz
- reverted last change, clean up some trash

Revision 1.160  2006/04/05 18:17:30  freetz
- leave path_id in old location for now

Revision 1.159  2006/04/05 18:07:55  freetz
- 089, added somehow unconsistent libvolume_id library, updated %files

Revision 1.158  2006/03/29 16:34:06  freetz
- create persistent cd symlinks (by Marco d'Itri), rel.0.2

Revision 1.157  2006/03/28 18:31:45  freetz
- 088, packaged udevtrigger

Revision 1.156  2006/03/24 19:51:36  glen
- add todo idea

Revision 1.155  2006/03/12 16:38:39  freetz
- 087, dropped hardware helpers, more rules added, updated file lists

Revision 1.154  2006/02/27 21:44:46  freetz
- 086, still no progress on initrd

Revision 1.153  2006/02/16 22:21:29  freetz
- 085, small cleanup, some work on initrd (requested by aflinta ;)

Revision 1.152  2006/02/05 11:20:46  freetz
- 084

Revision 1.151  2006/01/26 16:33:16  freetz
- started work on 082 version, dropped udevsynthesize, coldplug patches
  for stable version check AC-branch

Revision 1.150  2006/01/23 22:58:56  freetz
- use external configuration for creation of initial nodes, rel.3

Revision 1.149  2006/01/10 23:51:58  freetz
- rel.2

Revision 1.148  2006/01/07 13:57:38  freetz
- removed digicam subpkg, will be handled by hal/libgphoto stuff, rel. 1.1

Revision 1.147  2006/01/06 23:42:45  freetz
- rel.1 (thanks to arekm for solving sparc/alpha/amd64 build)

Revision 1.146  2006/01/06 20:45:52  arekm
- try klibc with alpha, too

Revision 1.145  2006/01/06 20:32:31  arekm
- use klibc for sparc

Revision 1.144  2005/12/28 09:02:36  freetz
- 079, s/persistent/persistent-disk/ in rules

Revision 1.143  2005/12/21 18:59:53  freetz
- 078

Revision 1.142  2005/12/10 18:38:12  freetz
- 077, package included persistent.rules, package more extra scripts,
  %files updated

Revision 1.141  2005/11/25 21:58:03  wolf
- add url

Revision 1.140  2005/11/25 21:17:55  freetz
- started work on 076, /lib/udev introduced as default scripts/helpers dir,
  some comments added

Revision 1.139  2005/11/22 15:19:23  freetz
- MAKEDEV is required to precreate device nodes not handled by udev, rel.2

Revision 1.138  2005/11/18 20:21:04  wolf
- add docs

Revision 1.137  2005/11/16 15:35:22  freetz
- removed hotplug symlink (it can't be done this way until /sbin/hotplug is
  a default kernel hotplug handler), added cleaned up hotplug_map.rules
  (instead of creating it with script at build time), rel.1

Revision 1.136  2005/11/12 02:02:42  glen
- no need to set default attr for dirs

Revision 1.135  2005/11/12 01:28:10  havner
- add /etc/udev/devices dir

Revision 1.134  2005/11/11 14:49:57  freetz
- 075, removed udeveventrecoder (replaced with eventrecorder.sh)
  still 0.1 due to startup problems (init time glitches)

Revision 1.133  2005/11/08 16:56:10  ankry
- don't obsolete hotplug: udev does not work with kernel24

Revision 1.132  2005/11/08 08:23:23  freetz
- removed obsoleted utilities, added RELEASE-NOTES to docs

Revision 1.131  2005/11/08 08:10:23  freetz
- started work on 074

Revision 1.130  2005/11/06 19:22:50  freetz
- rel.5 (fixed modprobe.rules usbcore/usbfs problem)

Revision 1.129  2005/10/31 16:31:42  freetz
- rel.4 for rebuild with fixed udev-digicam agent

Revision 1.128  2005/10/25 14:33:47  freetz
- rel.3 for rebuild with fixed modprobe.rules

Revision 1.127  2005/10/24 07:47:21  tommat
- added edd_id utility

Revision 1.126  2005/10/23 17:10:15  freetz
- added missing changelog information

Revision 1.125  2005/10/23 17:04:04  freetz
- rel.2, fixed initial coldplug troubles and framebuffer modules
  autolading

Revision 1.124  2005/10/22 18:56:50  freetz
- rel.1, ready for wide testing

Revision 1.123  2005/10/22 16:41:23  freetz
- rel.0.99

Revision 1.122  2005/10/22 10:06:01  freetz
- udeveventrecorder added

Revision 1.121  2005/10/22 08:23:54  freetz
- created '/sbin/hotplug' symbolic link to avoid sysctl hacks
  (thanks to Paweł Sakowski for suggestion), rel. 0.9

Revision 1.120  2005/10/21 08:27:33  freetz
- 071, added persistent.rules, dropped rules numbering

Revision 1.119  2005/10/20 21:01:55  freetz
- music for masses, rel.6

Revision 1.118  2005/10/19 20:43:32  qboosh
- cleanup

Revision 1.117  2005/10/19 16:58:00  freetz
- udev epoch in R:

Revision 1.116  2005/10/19 16:01:16  freetz
- digicam subpackage (hotplug-digicam replacement), rel. 5.5

Revision 1.115  2005/10/19 15:27:50  freetz
- source md5 fix

Revision 1.114  2005/10/19 15:23:19  freetz
- cleanup, Work In Progress

Revision 1.113  2005/10/19 13:19:11  freetz
- ieee1384,input,net hotplug agents added, rel. 5.4

Revision 1.112  2005/10/19 10:41:41  freetz
- disabled driver agents in hotplug_map rules creation, rel.5.3

Revision 1.111  2005/10/19 10:35:26  freetz
- added hotplug usb maps (converted to rules), dropped hotplug support

Revision 1.110  2005/10/19 00:10:05  jpc
- add a helper script from Mandriva (does it need to be packaged?)
- add rules for completely udev based hotplug/module loading (uses
  $modalias passed from kernel, w/o any additional hotplug scripts)
- rel 5.2

Revision 1.109  2005/10/18 19:53:48  freetz
- deprecated hotplug.d compatibilty dropped, chassis_id don't exist anymore
  rel.5.1

Revision 1.108  2005/10/16 16:42:23  glen
- rel 5

Revision 1.107  2005/10/15 22:44:38  glen
- devmap_name removed (use multipath-tools instead); rel 4.1

Revision 1.106  2005/10/15 15:15:10  glen
- use klibc for amd64

Revision 1.105  2005/10/14 17:37:52  glen
- udev-synthesize from debian

Revision 1.104  2005/10/14 17:37:24  glen
- extras/chassis_id is no longer?

Revision 1.103  2005/10/14 15:39:53  glen
- need USE_KLIBC=true for klibc build otherwise incompatible CFLAGS are passed
  in Makefile
- fix make clean

Revision 1.102  2005/10/14 15:23:40  glen
- dietlibc bcond rename

Revision 1.101  2005/10/14 15:19:00  glen
- bcond to link initrd with klibc

Revision 1.100  2005/10/14 15:02:10  glen
- bcond for compiling initrd with glibc and skipping main package build

Revision 1.99  2005/10/14 13:38:05  glen
- uclibc broken on amd64

Revision 1.98  2005/10/14 13:14:32  glen
- fix -debug build (must pass DEBUG=true for binaries being not stripped)

Revision 1.97  2005/10/13 10:12:26  glen
- fixed start_udev which attempted to move /dev mounts if /dev was from ramfs; rel 4

Revision 1.96  2005/09/18 12:08:55  glen
- start udev only when dev package is completely removed; rel 3

Revision 1.95  2005/09/17 14:52:34  freetz
- added firmware rules, rel.2

Revision 1.94  2005/09/17 10:58:43  glen
- default to uClibc if both libc-s defined

Revision 1.93  2005/09/17 10:57:58  glen
- add dietlibc bcond

Revision 1.92  2005/09/17 08:31:02  arekm
- up to 070

Revision 1.91  2005/09/11 12:33:11  freetz
- note about --without uClibc added

Revision 1.90  2005/09/10 20:51:30  glen
- /dev/pts hacks no longer (hopefully) needed after start_udev update

Revision 1.89  2005/09/07 12:52:10  glen
- rel 4

Revision 1.88  2005/09/07 12:51:52  glen
- handle lost /dev/pts when migrating from dev

Revision 1.87  2005/09/06 19:35:57  glen
- removed redundant killall (start_udev supposed to do that)

Revision 1.86  2005/09/06 19:21:34  glen
- add trigger when uninstalling dev package

Revision 1.85  2005/09/06 19:19:59  arekm
- rel 3; for now we do not obsolete static dev

Revision 1.84  2005/09/05 11:43:24  freetz
- release 2 for updated udev.rules

Revision 1.83  2005/09/04 18:25:57  arekm
- switch to uclibc (for amd64)

Revision 1.82  2005/09/04 18:14:34  freetz
- enable firmware helper

Revision 1.81  2005/09/04 13:03:25  freetz
- path_id script added to package

Revision 1.80  2005/09/04 10:47:27  freetz
- updated to 068, massive cleanup, dropped check-cdrom script (make use of
  included utility), more %files, rel.1

Revision 1.79  2005/07/31 15:30:42  jpc
- fixed permisions for the hotplug symlink
  non-op really but lets be future-proof (pointed out by arekm)
- rel 0.2
- works for me

Revision 1.78  2005/07/31 15:13:24  saq
- prep is the place for sed-patching

Revision 1.77  2005/07/31 14:59:13  jpc
- uncastrate udev
  (it really won't work well without hotplug events ;)

Revision 1.76  2005/07/29 12:51:42  wiget
- updated to 064
- testing

Revision 1.75  2005/05/22 22:20:54  wiget
- updated to 058

Revision 1.74  2005/05/21 14:17:06  speedy
- bcond: without_uClibc [use dietlibc instead - default on %{x8664)]

Revision 1.73  2005/05/03 04:12:53  wrobell
- ver. 057

Revision 1.72  2005/03/24 22:18:08  qboosh
- removed outdated symlink patch

Revision 1.71  2005/03/24 21:32:23  wrobell
- ver. 056

Revision 1.70  2005/03/18 21:28:10  arekm
- fix /dev/tty; rel 2

Revision 1.69  2005/03/14 16:04:51  arekm
- up to 054

Revision 1.68  2005/02/12 12:00:49  pluto
- md5 for uevent_listen.

Revision 1.67  2005/02/12 11:47:41  pluto
- updated to 053.
- uevent_listen tool added.

Revision 1.66  2005/01/06 23:19:39  sparky
- updated to 050

Revision 1.65  2004/12/09 11:30:32  arekm
- up to 048

Revision 1.64  2004/11/24 01:24:42  jpc
- add 00-wait-for-sysfs.hotplug symlink
- rel 2

Revision 1.63  2004/11/21 09:33:54  arekm
- 046

Revision 1.62  2004/11/18 09:32:44  qboosh
- dropped bogus source0-size

Revision 1.61  2004/11/17 22:51:33  arekm
- add epoch to R

Revision 1.60  2004/11/17 22:50:18  arekm
- up to 045

Revision 1.59  2004/11/02 00:00:24  arekm
- rel 2; updates

Revision 1.58  2004/11/01 23:29:17  arekm
- more scripts

Revision 1.57  2004/11/01 19:33:00  arekm
- fix symlink

Revision 1.56  2004/11/01 16:05:33  arekm
- add check-cdrom.sh

Revision 1.55  2004/10/24 14:21:24  arekm
- up to 042

Revision 1.54  2004/10/21 23:02:35  arekm
- up to 040

Revision 1.53  2004/10/21 22:49:46  aredridel
- Source5, not NoSource5

Revision 1.52  2004/10/20 17:07:25  qboosh
- devmap_name perms fix

Revision 1.51  2004/10/20 16:58:46  aredridel
- add devmap_name from multipath-utils package; Makes LVM2 work.

Revision 1.50  2004/10/16 11:05:56  arekm
- updated to 039

Revision 1.49  2004/10/10 10:57:55  arekm
- readd symlink patch

Revision 1.48  2004/10/08 20:29:00  arekm
- updated to 0.34

Revision 1.47  2004/10/07 11:04:07  qboosh
- -dev is no more

Revision 1.46  2004/10/01 08:11:47  jajcus
- BR: libselinux-devel

Revision 1.45  2004/09/26 23:45:26  havner
- removed version from O: dev

Revision 1.44  2004/09/26 23:23:07  arekm
- Obsolete: dev; provide three base /dev entries

Revision 1.43  2004/09/25 22:05:14  arekm
- use uclibc for initrd

Revision 1.42  2004/09/25 21:11:45  arekm
- provide dev

Revision 1.41  2004/09/25 13:45:00  arekm
- add start_udev

Revision 1.40  2004/09/25 12:33:32  arekm
- first step for managing /dev by default; udev for AC is on a branch

Revision 1.39  2004/09/06 16:18:53  havner
- rel 2

Revision 1.38  2004/07/24 17:16:26  havner
- removed /dev dir from udev-dev package. /dev dir belongs to FHS

Revision 1.37  2004/07/18 22:32:49  grzegol
- updated to 030

Revision 1.36  2004/07/03 22:03:30  qboosh
- updated to 029

Revision 1.35  2004/06/27 12:49:32  grzegol
- updated to 028

Revision 1.34  2004/06/19 21:03:51  arekm
- dev subpackage

Revision 1.33  2004/06/15 00:16:53  arekm
- updated to 0.27; udev dir is /udev and it stays this way

Revision 1.32  2004/06/09 16:01:12  grzegol
- removed dbus and selinux extra packages - both are removed from sources
- removed scsi_id bcond - scsi_id extra package will always be built
- build also volume_id extra package

Revision 1.31  2004/06/08 10:19:35  pluto
- updated to 026.

Revision 1.30  2004/05/20 23:04:25  saq
- fix the selinux symlink

Revision 1.29  2004/05/20 22:48:16  arekm
- selinux builds

Revision 1.28  2004/05/20 22:37:18  saq
- up to 025
- dbus is now optional

Revision 1.27  2004/03/14 12:17:15  qboosh
- updated to 022

Revision 1.26  2004/03/12 22:29:48  orzech
- BR: pkgconfig

Revision 1.25  2004/03/11 10:33:00  wiget
- reverted initrd bcond (need more work)

Revision 1.24  2004/03/03 22:05:48  grzegol
- updated to 021

Revision 1.23  2004/02/29 21:36:09  grzegol
- updated to 019

Revision 1.22  2004/02/21 13:38:40  qboosh
- pl for -initrd

Revision 1.21  2004/02/21 13:37:35  qboosh
- patch not present in repo... so replaced by make option

Revision 1.20  2004/02/20 17:28:19  grzegol
- updated to 018
- more docs

Revision 1.19  2004/02/15 16:07:42  wiget
- updated to 017
- added initrd subpackage with static binary (builded against klibc)

Revision 1.18  2004/02/06 12:59:30  grzegol
- updated to 016
- removed outdated dbus patch
- added more docs

Revision 1.17  2004/01/31 19:16:34  grzegol
- R: dbus >= 0.20-2

Revision 1.16  2004/01/31 19:15:08  grzegol
- enabled dbus support
- added dbus patch (fix building with dbus support enabled)
- rel. 2

Revision 1.15  2004/01/27 00:19:43  qboosh
- updated to 015

Revision 1.14  2004/01/15 20:37:07  qboosh
- updated to 013, shared glibc again

Revision 1.13  2004/01/03 00:29:17  qboosh
- updated to 012

Revision 1.12  2003/12/26 14:16:08  qboosh
- updated to 011

Revision 1.11  2003/12/24 01:39:23  qboosh
- updated to 010

Revision 1.10  2003/12/17 22:02:16  qboosh
- updated to 009, use make install

Revision 1.9  2003/12/04 21:37:37  qboosh
- updated to 008

Revision 1.8  2003/11/28 22:31:50  qboosh
- updated to 007, added man page, BR: glibc-static

Revision 1.7  2003/10/21 17:05:20  arekm
- add FAQ to docs

Revision 1.6  2003/10/21 17:04:39  arekm
- updated to 004

Revision 1.5  2003/08/26 23:08:28  deejay1
- typo

Revision 1.4  2003/08/20 20:48:02  qboosh
- really use optflags, typo, BR: new sed

Revision 1.3  2003/08/17 12:14:45  arekm
- add hotplug script

Revision 1.2  2003/08/16 17:31:10  ankry
- pl description fix

Revision 1.1  2003/08/16 12:39:03  arekm
- initial pld release
